%DETEKCE SYNCHRONIZAČNÍCH IMPULSŮ
 i=1;
 j=1;                   %inicializace iteračních proměnných
 N=length(SYNCH);       %délka synchronizačního signálu
 detekce=zeros(1,56);   %vektor pro zapsání pozic detekce
 while i<N              %procházení signálu
     if SYNCH(i)<4      %prahování v synchronizačním signálu
         detekce(j)=i;  %zapsání pozice do vektoru detekce
         i=i+1300;      %posun pro urychlení procházení
         j=j+1;         %posun na další pozici vektoru detekce
     else
         i=i+1;         %posun na další pozici vektoru SYNCH
     end
 end